Skip to content

data_associations_destroy

DELETE
/api/data/{data_pk}/associations/{id}
curl --request DELETE \
--url https://example.com/api/data/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/associations/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Authorization: Bearer <token>' \
--header 'X-Workspace: 2489E9AD-2EE2-8E00-8EC9-32D5F69181C0'

Delete a specific Data Association item.

data_pk
required
string format: uuid

Data ID

id
required
string format: uuid

A UUID string identifying this data association.

X-Workspace
required
string format: uuid

Workspace ID

No response body

Media typeapplication/json
object
code
required
string
>= 1 characters
message
required
string
>= 1 characters
details
required
Array<object>
object
parameter
string
nullable
code
string
nullable
message
string

Example

{
"code": "forbidden",
"message": "You do not have permission to perform this operation. Check the `details` property for more details.",
"details": [
{
"parameter": "association",
"code": "not_allowed",
"message": "The member's role does not allow deletion."
}
]
}
Media typeapplication/json
object
code
required
string
>= 1 characters
message
required
string
>= 1 characters
details
required
Array<object>
object
parameter
string
nullable
code
string
nullable
message
string

Example

{
"code": "object_not_found",
"message": "Object not found. Check the `details` property for more details.",
"details": [
{
"parameter": "<id>",
"code": "does_not_exist",
"message": "\"<id>\" does not exist."
}
]
}